namespace DbContextWrapperExample.Entities
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("Thing")]
    public partial class Thing
    {
        [Key]
        [Column(Order = 0)]
        public Guid ThingGuid { get; set; }

        [Key]
        [Column(Order = 1)]
        public Guid StuffGuid { get; set; }

        [Key]
        [Column(Order = 2)]
        [StringLength(50)]
        public string Name { get; set; }

        [Key]
        [Column(Order = 3)]
        [StringLength(200)]
        public string Description { get; set; }

        public virtual Stuff Stuff { get; set; }
    }
}
